%define	oname	binio

Summary:	Binary I/O stream class library
Name:		libbinio
Version:	1.4
Release:	%mkrel 22
Source0:	https://prdownloads.sourceforge.net/libbinio/%{name}-%{version}.tar.bz2
#Patch0:		libbinio-1.4-no-long-long.patch
Patch1:		libbinio-1.4-string-conversion.patch
Patch2:		libbinio-1.4-gcc4.4.patch
Patch3:		libbinio-missing-include.patch
URL:		http://libbinio.sourceforge.net/
License:	LGPLv2+
Group:		System/Libraries
BuildRequires:  gcc-c++

%description
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

%define	major	1
%define	libname	%mklibname %{oname} %{major}

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

This package contains the shared library needed to run applications
based on %{name}.

%define	libdev	%mklibname -d %{oname}

%package -n	%{libdev}
Summary:	Development files for %{name}
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}binio-static-devel < 1.4-16

%description -n %{libdev}
The binary I/O stream class library presents a platform-independent
way to access binary data streams in C++.

The library is hardware independent in the form that it transparently
converts between the different forms of machine-internal binary data
representation.

It further employs no special I/O protocol and can be used on
arbitrary binary data sources.

This package contains C++ header files, the shared library symlink and
the developer documentation for %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README AUTHORS ChangeLog NEWS
%{_libdir}/libbinio.so.%{major}{,.*}

%files -n %{libdev}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_infodir}/*.info*
%{_libdir}/pkgconfig/*



%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.4-22.mga9
+ Revision: 1792924
- Mageia 9 Mass Rebuild

* Thu Nov 05 2020 joequant <joequant> 1.4-21.mga8
+ Revision: 1642786
- update with gcc libs

* Sat Oct 31 2020 wally <wally> 1.4-20.mga8
+ Revision: 1640875
- add patch to fix missing include

* Wed Aug 19 2020 ovitters <ovitters> 1.4-19.mga8
+ Revision: 1616010
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Thu Feb 13 2020 umeabot <umeabot> 1.4-18.mga8
+ Revision: 1513937
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.4-17.mga7
+ Revision: 1298765
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 1.4-16.mga7
+ Revision: 1235622
- drop static build
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 1.4-15.mga6
+ Revision: 955305
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 cjw <cjw> 1.4-14.mga6
+ Revision: 872483
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.4-13.mga5
+ Revision: 744910
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-12.mga5
+ Revision: 681345
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4-11.mga4
+ Revision: 506862
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4-10.mga3
+ Revision: 356851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 04 2011 ennael <ennael> 1.4-9.mga1
+ Revision: 64101
- clean spec file
- imported package libbinio


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4-9mdv2011.0
+ Revision: 620082
- the mass rebuild of 2010.0 packages

* Fri May 22 2009 Götz Waschk <waschk@mandriva.org> 1.4-8mdv2010.0
+ Revision: 378714
- fix build with gcc 4.4

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.4-7mdv2009.0
+ Revision: 267803
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4-6mdv2009.0
+ Revision: 217856
- drop P0 as using uint64_t in stead of long long will give more headaches
  with adplug needed to be fixed etc..

* Tue Jun 10 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4-5mdv2009.0
+ Revision: 217702
- d'oh, forgot to run autoreconf first to actually  put P0 to use..

* Tue Jun 10 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4-4mdv2009.0
+ Revision: 217611
- import libbinio


* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 1.4-3mdv2008.1
+ Revision: 101737
- new devel name
- update license tag
- remove old conflict


* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 1.4-3mdv2007.0
+ Revision: 112780
- rebuild
- Import binio

* Sat Oct 07 2006 Götz Waschk <waschk@mandriva.org> 1.4-2mdv2007.1
- rebuild

* Mon Sep 19 2005 Götz Waschk <waschk@mandriva.org> 1.4-1mdk
- update file list
- New release 1.4

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 1.3-2mdk
- Rebuild

* Fri Aug 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- New release 1.3

* Sat Jun 05 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2-5mdk
- fix source URL
- drop prefix
- new g++

